# GimpUi.IntComboBox.connect

    @accepts(GimpUi.IntComboBox, int, GObject.Callback, gpointer, GLib.DestroyNotify)
    @returns(int)
    def connect(self, value, callback, data, data_destroy):
        # Python wrapper for gimp_int_combo_box_connect()

A convenience function that sets the initial value of a GimpUi.IntComboBox and connects callback to the "changed" signal.

This function also calls the callback once after setting the initial value. This is often convenient when working with combo boxes that select a default active item, like for example GimpUi.DrawableComboBox.new. If you pass an invalid initial value, the callback will be called with the default item active.

Since 2.2

self

  a GimpUi.IntComboBox

value

  the value to set

callback

  a callback to connect to the self's "changed" signal

data

  a pointer passed as data to g_signal_connect()

data_destroy

  Destroy function for data.

Returns